{{ define "main" }}
<section class="hero is-dark py-4">
    <div class="hero-body">
        <div class="container has-text-centered">
            <p class="title">
                {{ .Title }}
            </p>
            <p class="subtitle">
                {{ .Summary }}
            </p>
        </div>
    </div>
    <div class="hero-foot">
        <div class="container">
            <div class="level">
                <div class="level-left is-hidden-mobile">
                    {{ partial "backto.html" . }}
                </div>
                <div class="level-right">
                    {{ partial "breadcrumb.html" . }}
                </div>
            </div>
        </div>
    </div>
</section>
<div class="container pt-4">
    {{ range $group := .Pages.GroupByParam "chapter" }}
    <article class="panel is-dark box px-0 py-0">
        <p class="panel-heading">
            <span class="level">
                <span class="level-left">
                    <span class="icon">
                        <span class="material-icons">
                            folder
                        </span>
                    </span>&ThickSpace;
                    <span>{{ .Key }}</span>
                </span>
            </span>
        </p>
        {{ range $page := $group.Pages.ByWeight }}
        <a class="panel-block" href="{{.Permalink}}">
            <span class="panel-icon">
                <span class="icon is-small">
                    <span class="material-icons">
                        article
                    </span>
                </span>
            </span>
            <div class="level">
                {{ .Weight }}.&ThickSpace;{{ .Title }}&ThickSpace;
                {{ partial "tags/expertise.html" . }}
            </div>
        </a>
        {{ end }}
    </article>
    {{ end }}
</div>
{{ end }}